Bug 1474172 - SCAP content title validations are not performed
SCAP content title validations are not performed
Status: POST
Product: Red Hat Satellite 6
Classification: Red Hat
Component: SCAP Plugin (Show other bugs)
6.2.10
All Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 00:24 EDT by Deepannagaraj Nagarathinam
Modified: 2017-11-07 04:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Duplicate Content Titles image from WebUI. (71.58 KB, image/png)
2017-07-24 00:24 EDT, Deepannagaraj Nagarathinam
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20444 None None None 2017-07-31 02:21 EDT

  None (edit)
Description Deepannagaraj Nagarathinam 2017-07-24 00:24:09 EDT
Created attachment 1303428 [details]
Duplicate Content Titles image from WebUI.

Description of problem:

- Satellite server is allowing to upload the SCAP content files with Duplicate Titles.

Version-Release number of selected component (if applicable):

- Red Hat Satellite v6.2

How reproducible:

- Always

Steps to Reproduce:

1. Configure Satellite server with OpenSCAP.
2. Upload an SCAP content file with a title (for e.g, rhel_test).
3. Upload the content file (same content file/other content files) with the same Content Title (rhel_test).

Actual results:

- The SCAP content file is uploaded with the same/duplicated title.

Expected results:

- Content should not upload with the same title. Satellite should show an error message that "Content Title already Exists".

Additional info:

- The problem can be reproduced on WebUI and also with API.
Comment 1 Ondřej Pražák 2017-07-31 02:21:03 EDT
Created redmine issue http://projects.theforeman.org/issues/20444 from this bug
Comment 5 pm-sat@redhat.com 2017-11-07 04:04:03 EST
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20444 has been resolved.

Note You need to log in before you can comment on or make changes to this bug.